Page MenuHomePhabricator

Adyen jobs should retry at least once on connect failure
Closed, ResolvedPublic

Description

We're crashing out and sending failmail on the first connect timeout. It would be great to get the Adyen code to reuse some of the other http request stuff, but right now it's using some SOAP stuff from who-knows-where

Related Objects

Event Timeline

Ejegg created this task.Oct 10 2017, 10:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 10 2017, 10:51 PM
mepps claimed this task.Oct 23 2017, 7:37 PM

Change 387858 had a related patch set uploaded (by Mepps; owner: Mepps):
[mediawiki/extensions/DonationInterface@master] Add default value for processor_form

https://gerrit.wikimedia.org/r/387858

Change 387858 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Add default value for processor_form

https://gerrit.wikimedia.org/r/387858

mepps added a comment.Nov 2 2017, 3:54 PM

Oops! The merged task was supposed to be tagged to https://phabricator.wikimedia.org/T176913

Change 389998 had a related patch set uploaded (by Mepps; owner: Mepps):
[wikimedia/fundraising/SmashPig@master] On exception, increase count and log error

https://gerrit.wikimedia.org/r/389998

Change 389998 merged by jenkins-bot:
[wikimedia/fundraising/SmashPig@master] On exception, increase count and log error

https://gerrit.wikimedia.org/r/389998

Change 390306 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[wikimedia/fundraising/SmashPig@master] Demote error to warning, change WS

https://gerrit.wikimedia.org/r/390306

Change 390306 merged by jenkins-bot:
[wikimedia/fundraising/SmashPig@master] Demote error to warning, change WS

https://gerrit.wikimedia.org/r/390306

mepps added a comment.Jan 5 2018, 4:22 PM

@Ejegg did we end up deploying this?

Ejegg added a comment.Jan 5 2018, 5:03 PM

We tried Tuesday, along with some other stuff, but there was an issue with the Amazon config that made us roll back. There's a fix for Amazon in review now, so hopefully we can deploy again next week.

Ejegg added a comment.Jan 5 2018, 5:05 PM

Also, do you think this might be related? T184200

Change 402870 had a related patch set uploaded (by Mepps; owner: Mepps):
[wikimedia/fundraising/SmashPig@master] Add logging for debugging

https://gerrit.wikimedia.org/r/402870

Change 402870 merged by jenkins-bot:
[wikimedia/fundraising/SmashPig@master] Add logging for debugging

https://gerrit.wikimedia.org/r/402870

mepps closed this task as Resolved.Jan 9 2018, 4:15 PM